package textures.player.items.goblinspear;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

/**  ------------- Nihilne ------------
    *** @author Mitch Weaver - 2016 ***
      ~~~~ All Rights Reserved ~~~~ */

public final class GoblinSpearTextures {
	
	private static int count = 0;
	
	/** ORDER:  idles, (8x4) - 32
	 * 			walks, (8x6) - 48 + 32
	 * 			attacks,(8x4) 
	 * 			getHits(8x1) */

	public static final void getIdlesWalksTextures(final BufferedImage image) {
		
		final int width = 40, height = 72;
		// IDLES
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 2, width, height); // NORTH
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 2, 2, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 3, 2, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 4, 2, width, height);
		
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 6, width, height); // NORTH EAST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 2, 6, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 3, 6, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 4, 6, width, height);
		
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 4, width, height); // EAST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 2, 4, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 3, 4, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 4, 4, width, height);
		
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 8, width, height); // SOUTH EAST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 2, 8, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 3, 8, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 4, 8, width, height);
		
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 1, width, height); // SOUTH 
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 2, 1, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 3, 1, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 4, 1, width, height);
		
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 7, width, height); // SOUTH WEST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 2, 7, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 3, 7, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 4, 7, width, height);
		
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 3, width, height); // WEST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 2, 3, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 3, 3, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 4, 3, width, height);
		
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 5, width, height); // NORTH WEST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 2, 5, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 3, 5, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 4, 5, width, height);
		
		// WALKS
		int col = 5;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 2, width, height); // NORTH
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 2, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 2, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 2, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 2, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 2, width, height); 
		col = 5;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 6, width, height); // NORTH EAST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 6, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 6, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 6, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 6, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 6, width, height);
		col = 5;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 4, width, height); // EAST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 4, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 4, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 4, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 4, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 4, width, height);
		col = 5;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 8, width, height); // SOUTH EAST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 8, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 8, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 8, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 8, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 8, width, height);
		col = 5;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 1, width, height); // SOUTH
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 1, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 1, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 1, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 1, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 1, width, height);
		col = 5;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 7, width, height); // SOUTH WEST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 7, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 7, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 7, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 7, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 7, width, height);
		col = 5;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 3, width, height); // WEST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 3, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 3, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 3, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 3, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 3, width, height);
		col = 5;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 5, width, height); // NORTH WEST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 5, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 5, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 5, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 5, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 5, width, height);
	}
	
	public static final void getHitsTextures(BufferedImage image) {
		final int width = 40, height = 72;
		// GET HITS
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 2, width, height); // NORTH
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 6, width, height); // NORTH EAST
	    Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 4, width, height); // EAST
	    Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 8, width, height); // SOUTH EAST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 1, width, height); // SOUTH
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 7, width, height); // SOUTHWEST 
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 3, width, height); // WEST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, 1, 5, width, height); // NORTHWEST
	}
	
	public static final void getAttackTextures(BufferedImage image) {
		final int width = 40, height = 72;
		// ATTACKS
		int col = 1;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 2, width, height); // NORTH
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 2, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 2, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 2, width, height);
		col = 1;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 6, width, height); // NORTH EAST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 6, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 6, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 6, width, height);
		col = 1;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 4, width, height); // NORTH EAST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 4, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 4, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 4, width, height);
		col = 1;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 8, width, height); // SOUTH EAST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 8, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 8, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 8, width, height);
		col = 1;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 1, width, height); // SOUTH 
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 1, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 1, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 1, width, height);
		col = 1;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 7, width, height); // SOUTH WEST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 7, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 7, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 7, width, height);
		col = 1;	
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 3, width, height); // WEST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 3, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 3, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 3, width, height);
		col = 1;
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 5, width, height); // NORTH WEST
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 5, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 5, width, height);
		Textures.goblinSpearSheet[count++] = Utils.grabSprite(image, col++, 5, width, height);
	}
	
	
	
	
	
}
